package com.bbitcn.silk.adapter;


import com.bbitcn.silk.base.BaseRecyclerAdapter;
import com.bbitcn.silk.databinding.ItemAboutBinding;
import com.bbitcn.silk.model.net.About;

import java.util.List;

/**
 * @Author：DuanKaiji
 * @Date：2024年4月7日 15:10:50
 */
public class AboutAdapter extends BaseRecyclerAdapter<About.DataDTO.ItemsDTO.ItemsDTO2, ItemAboutBinding> {


    public AboutAdapter(List<About.DataDTO.ItemsDTO.ItemsDTO2> dataList, Class<ItemAboutBinding> bindingClass) {
        super(dataList, bindingClass);

    }

    @Override
    protected void bindData(ItemAboutBinding binding, About.DataDTO.ItemsDTO.ItemsDTO2 data) {
        binding.tvKey.setText(data.getName());
        binding.tvValue.setText(data.getValue());
    }

}
